Bug 1229213 - Addition of glyphs to Lohit Telugu for recent Unicode additions
Summary: Addition of glyphs to Lohit Telugu for recent Unicode additions
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-telugu-fonts
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-08 09:36 UTC by Shriramana Sharma
Modified: 2015-09-06 17:04 UTC (History)
3 users (show)

Fixed In Version: 2.5.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-06 01:09:23 UTC


Attachments (Terms of Use)
Telugu LLLA and RRRA with vowel sign ligatures (14.98 KB, application/x-font-ttf)
2015-06-08 09:36 UTC, Shriramana Sharma
no flags Details

Description Shriramana Sharma 2015-06-08 09:36:22 UTC
Created attachment 1036267 [details]
Telugu LLLA and RRRA with vowel sign ligatures

Unicode 7.0 encoded 0C34 Telugu Letter LLLA and Unicode 8.0 includes 0C5A Telugu Letter RRRA. I was one of the authors of the original proposals for these characters.

I have attached glyphs for these characters including those of the consonant ligating with the vowels (except for U/UU and vocalic vowels since these can be presented as simple sequences of glyphs and AI since it is based on the glyph for E).

Please add these to Lohit Telugu and the appropriate OT table entries for the vowel sign substitutions.

NOTE: I am proposing a few more characters for Telugu for Vedic. Once Unicode approves I'll attach those glyphs also here.

References:
http://www.unicode.org/charts/PDF/U0C00.pdf
http://www.unicode.org/Public/8.0.0/charts/blocks/U0C00.pdf
http://www.unicode.org/L2/L2012/12015-telugu-llla-proposal.pdf
http://www.unicode.org/L2/L2012/12016-telugu-rrra-proposal.pdf

Comment 1 Pravin Satpute 2015-06-09 03:45:09 UTC
Excellent. Does it make sense to do this one week before Unicode 8.0 release?

Comment 2 Fedora Update System 2015-09-03 11:58:33 UTC
lohit-telugu-fonts-2.5.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14963

Comment 3 Fedora Update System 2015-09-04 07:33:53 UTC
lohit-telugu-fonts-2.5.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update lohit-telugu-fonts'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14963

Comment 4 Fedora Update System 2015-09-06 01:09:17 UTC
lohit-telugu-fonts-2.5.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-09-06 17:04:47 UTC
lohit-telugu-fonts-2.5.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.